Skip to content

List Autodream Runs

GET
/v1/admin/autodream/runs
curl --request GET \
--url 'https://example.com/v1/admin/autodream/runs?tenant_id=&limit=50'
tenant_id
Tenant Id
string
""
limit
Limit
integer
default: 50 >= 1 <= 200
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
AutodreamRunListOut
object
items
Items
Array<object>
AutodreamRunOut
object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string
tenant_id
required
Tenant Id
string
run_key
required
Run Key
string
status
required
Status
string
trigger
required
Trigger
string
proposal_id
Any of:
string
proposal_key
Any of:
string
evidence_record_id
Any of:
string
graph_name
Any of:
string
change_class
required
Change Class
string
authority_scope
required
Authority Scope
string
jurisdiction
required
Jurisdiction
string
data_class
required
Data Class
string
risk_threshold
required
Risk Threshold
integer
policy
Policy
object
key
additional properties
any
payload
Payload
object
key
additional properties
any
result
Result
object
key
additional properties
any
Examplegenerated
{
"items": [
{
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"id": "example",
"tenant_id": "example",
"run_key": "example",
"status": "example",
"trigger": "example",
"proposal_id": "example",
"proposal_key": "example",
"evidence_record_id": "example",
"graph_name": "example",
"change_class": "example",
"authority_scope": "example",
"jurisdiction": "example",
"data_class": "example",
"risk_threshold": 1,
"policy": {},
"payload": {},
"result": {}
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}